from pyglet.gl import *
from vector import *

speed = 0.075
radius = 0.15

class Cat(object):
	def __init__(self):
		self.position = Vector3()
		self.speed_x = 0
		self.speed_z = 0
		
	def set_position(self, x, y, z):
		self.position.x = x
		self.position.y = y
		self.position.z = z
		
	def set_position_x(self, x):
		self.position.x = x
		
	def set_position_z(self, z):
		self.position.z = z

	def set_speed_x(self, s):
		self.speed_x = s
		
	def set_speed_z(self, s):
		self.speed_z = s

	def get_position(self):
		return self.position

	def get_position_x(self):
		return self.position.x
		
	def get_position_z(self):
		return self.position.z
		
	def get_speed_x(self):
		return self.speed_x
		
	def get_speed_z(self):
		return self.speed_z
		
	def get_speed(self):
		global speed
		return speed
		
	def get_radius(self):
		global radius
		return radius
			
	def draw(self):
		part = gluNewQuadric()
		glPushMatrix()
		
		# Torso
		glColor3f(0.82, 0.82, 0.42)
		glTranslatef(self.position.x, self.position.y + 0.15, self.position.z)
		gluSphere(part, 0.15, 20, 20)
		
		# Head
		glColor3f(0.9, 0.9, 0.5)
		glTranslatef(0.0, 0.2, 0.0)
		gluSphere(part, 0.1, 10, 10)
		
		#Ears
		glColor3f(0.5, 0.5, 0.1)
		glTranslatef(0.0, 0.08, 0.0)
		glBegin(GL_TRIANGLES)
		# Right ear
		glVertex3f(-0.1, -0.1, 0.0)
		glVertex3f(-0.05, 0.0, 0.0)
		glVertex3f(-0.075, 0.1, 0.0)
		# Left ear
		glVertex3f(0.1, -0.1, 0.0)
		glVertex3f(0.05, 0.0, 0.0)
		glVertex3f(0.075, 0.1, 0.0)
		glEnd()

		# Eyes
		glColor3f(0.1, 0.3, 0.1)
		glTranslatef(-0.03, 0.0, 0.1)
		gluSphere(part, 0.01, 10, 10)
		glTranslatef(0.06, 0.0, 0.0)
		gluSphere(part, 0.01, 10, 10)

		# Nose
		glColor3f(0.7, 0.5, 0.6)
		glTranslatef(-0.03, -0.045, 0.0)
		gluSphere(part, 0.01, 10, 10)

		# Mouth
		glColor3f(0.0, 0.0, 0.0)
		glLineWidth(1.0)
		glBegin(GL_LINES)
		glVertex3f(0.0, 0.0, 0.0)
		glVertex3f(0.0, -0.03, 0.0)
		glVertex3f(0.0, -0.03, 0.0)
		glVertex3f(-0.03, -0.04, 0.0)
		glVertex3f(0.0, -0.03, 0.0)
		glVertex3f(0.03, -0.04, 0.0)
		glEnd()

		glPopMatrix()
		gluDeleteQuadric(part)

